RK-J - Feature #2128

Support for "<Subject>: All" in 'search books' box
02/18/2022 05:35 AM - Ram Kordale

Status: Closed Start date: 03/08/2022
Priority: Normal Due date: 03/08/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 8.00 hours
Description

For every subject s, please add "s: All" as an entry in the subject drop down.

When we click on the 'search books' box, show all the ": ALL" entries on top in alphabetical order. So, if we add javascript documents
to the current set of documents, we should see 'Javascript Doc: All' followed by 'Python 3 Doc: All'.

When user types letters in the 'search books' box, we show all books that match with the letters typed. Going forward, please ensure
the top entries are ":All" entries. So, if user types p, we show 'Javascript Doc: All' followed by 'Python 3 Doc: All'. When user types py,
we show 'Python 3 Doc: All' followed by all the Python 3 documents like Tutorial, Lib ref etc.

If user selects "s: All", the books part of the URL should become 's*'. If user selects "Python 3 Doc: All", the books part of the URL
should become 'python-3-doc*'.

History

#1 - 02/22/2022 07:09 AM - Ram Kordale
- Subject changed from Show "Python 3: All Docs" in learn/docs instead of a long list to Support for "<Subject>: All" in 'search books' box

- Description updated

#2 - 02/22/2022 09:27 AM - Ayush Khandelwal

- Due date set to 02/22/2022

- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- Estimated time set to 3.00 h

#3 - 02/22/2022 09:30 AM - Rishabh Sharma

- Status changed from New to In Progress

#4 - 02/23/2022 10:16 AM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 02/23/2022 12:51 PM - Ayush Khandelwal

As per the discussion with the Ram sir, let us hardcode the subject for canonical url as "python-3*" for all the books which is having subject "Python 3
Doc"

#6 - 02/24/2022 05:32 AM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#7 - 02/24/2022 12:30 PM - Ayush Khandelwal
- Status changed from Feedback to Reopened

- Assignee changed from Ayush Khandelwal to Venmuhilan B

Not working for deletion and new ingestion.

#8 - 02/24/2022 12:34 PM - Ayush Khandelwal

- Status changed from Reopened to In Progress
#9 - 02/24/2022 12:34 PM - Ayush Khandelwal
- Status changed from In Progress to Feedback

- Assignee changed from Venmuhilan B to Ram Kordale

#10 - 02/24/2022 12:35 PM - Ayush Khandelwal

- Assignee changed from Ram Kordale to Ayush Khandelwal

#11 - 03/07/2022 11:27 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#12 - 03/07/2022 11:28 AM - Ayush Khandelwal

- Assignee changed from Ram Kordale to Ayush Khandelwal

#13 - 03/10/2022 07:52 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#14 - 03/10/2022 11:05 AM - Ram Kordale
- Status changed from Feedback to Closed
